cabal-version: 2.2

-- This file has been generated from package.yaml by hpack version 0.33.0.
--
-- see: https://github.com/sol/hpack
--
-- hash: 1aa7c8f8f94325335f19c321cd763eb0c6957a208b4a7a4288f41b330cf7be71

name:           battle-line
version:        0.1.0.0
description:    Please see the README on GitHub at <https://github.com/githubuser/battle-line#readme>
homepage:       https://github.com/githubuser/battle-line#readme
bug-reports:    https://github.com/githubuser/battle-line/issues
author:         Fredrik Fossum
maintainer:     fredrik.fossum@gmail.com
copyright:      2021 Fredrik Fossum
license:        AGPL-3.0-or-later
license-file:   LICENSE
build-type:     Simple
extra-source-files:
    README.md
    ChangeLog.md

source-repository head
  type: git
  location: https://github.com/githubuser/battle-line

library
  exposed-modules:
      Action
      Action.Play
      Card
      GameState
      InitialStateReq
      Lib
      PerformActionReq
      PerformActionRes
      Phase
      PlayerId
      PlayerState
      Settings
  other-modules:
      Paths_battle_line
  hs-source-dirs:
      src
  build-depends:
      MonadRandom
    , aeson
    , base >=4.7 && <5
    , containers
    , lens
    , random
    , random-shuffle
    , text
  default-language: Haskell2010

executable battle-line-exe
  main-is: Main.hs
  other-modules:
      Paths_battle_line
  hs-source-dirs:
      app
  ghc-options: -threaded -rtsopts -with-rtsopts=-N
  build-depends:
      MonadRandom
    , aeson
    , base >=4.7 && <5
    , battle-line
    , containers
    , lens
    , random
    , random-shuffle
    , servant
    , servant-server
    , text
    , wai
    , warp
  default-language: Haskell2010

test-suite battle-line-test
  type: exitcode-stdio-1.0
  main-is: Spec.hs
  other-modules:
      Paths_battle_line
  hs-source-dirs:
      test
  ghc-options: -threaded -rtsopts -with-rtsopts=-N
  build-depends:
      MonadRandom
    , aeson
    , base >=4.7 && <5
    , battle-line
    , containers
    , lens
    , random
    , random-shuffle
    , text
  default-language: Haskell2010
